Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           nodejs-oauth
Version:        0.9.15
Release:        alt1_6
Summary:        Library for interacting with OAuth 1.0, 1.0A, 2 and Echo

License:        MIT
URL:            https://github.com/ciaranj/node-oauth
Source0:        http://registry.npmjs.org/oauth/-/oauth-%{version}.tgz
# Remove fallback to bundled SHA1 implementation
Patch0:         nodejs-oauth-sha1.patch
# https://github.com/ciaranj/node-oauth/pull/268
Patch1:         nodejs-oauth-network.patch
BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel

BuildRequires:  npm(vows)
Source44: import.info

%description
Library for interacting with OAuth 1.0, 1.0A, 2 and Echo. Provides
simplified client access and allows for construction of more complex
APIs and OAuth providers.


%prep
%setup -q -n package
%patch0 -p1
%patch1 -p1
rm -rf node_modules lib/sha1.js tests/sha1tests.js


%build


%install
mkdir -p %{buildroot}/%{nodejs_sitelib}/oauth
cp -pr package.json index.js lib %{buildroot}/%{nodejs_sitelib}/oauth
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/vows/bin/vows tests/*tests.js --spec


%files
%doc Readme.md examples
%doc --no-dereference LICENSE
%{nodejs_sitelib}/oauth


%changelog
* Mon Mar 18 2019 Igor Vlasenko <viy@altlinux.ru> 0.9.15-alt1_6
- fc update

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.10-alt1_2
- fc import

* Sun Jun 23 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.10-alt1_1
- initial import

